Description

Ho notato e testato che per rendere possibile la copia di files via SSH tra i PC client,
bisogna modificare il file nel seguente modo (PermitRootLogin yes)

/etc/ssh/sshd_config

1. PermitRootLogin without-password
PermitRootLogin yes

chiedo se possibile modificarlo di default nelle ISO e distro.

Grazie Andrea Padovan

History

#1 - 09/12/2017 05:02 PM - Christopher R. Gabriel

Questo €' per permettere la copia tra i client usando I'utente root, e' disabilitato di default I'uso della password ma con la chiave (viene installata quella
del server per copia server->client), e in piu' evita eventuali attacchi brute force tra i client, visto che solitamente si guardano i log del server e non
quelli dei singoli client. Se poi magari si usa la stessa password di root sia sul server che sui client... :-)

#2 - 09/13/2017 01:44 PM - Andrea Padovan
- Status changed from Nuovo to Chiuso

- Assignee set to Andrea Padovan

OK. Tutto chiaro.

sia le operazioni di massa eseguite con clusterssh , sia le copie di dati vanno fatte dal server: visto e testato ora.

Si allungano solo le operazioni di copia dati (es. configurazione di cups) da un PC ad altri PC.

Prima l'operazione poteva essere fatta direttamente da PC ; ora si deve escogitare una "triangolazione" col server: cioé copiare prima i dati da pc a
server e e poi da server agli altri pc.

Tutto chiaro comunque

Chiudo il ticket

Grazie

Andrea

#3 - 09/13/2017 01:45 PM - Christopher R. Gabriel

clusterssh e' da sempre usabile solo dal server

#4 - 09/13/2017 05:18 PM - Andrea Padovan

ok. avendo imparato a lavorare con immagini di PC gia fatte , aggiornate e replicate negli anni, ho probabilmente imparato a lavorare con quello che
mi avevano dato i colleghi precedenti. Forse le immagini che utilizzavo io (mi riferisco a PC della distro fuss-6) permettevano tutte la connessione via
ssh tra PC e anche con clusterssh da PC!! Forse erano state gia modificate inizialmente nel file /etc/ssh/sshd_config.
Te la scrivo solo come info per chiarezza.
ciao

#5 - 09/13/2017 05:25 PM - Andrea Padovan

con fuss-6

da un pc-client faccio login con utnete di rete

da terminale (come utente Idap) installavo clusterssh
alt-get update && apt-get install clisterssh

Poi lanciavo il comando
cssh root@pc01 root@pc02 root@pc03......

a mi riuscivo a collegare con sugli altri PC .
Ovviamente con questo sistema non mi loggavo al cluster. Ma ha sempre funzionato. Solo per info tra noi. Clao Andrea

#6 - 09/13/2017 05:30 PM - Christopher R. Gabriel

Chiaro, se lo installi e ti crei un cluster locale, e' usabile da ovunque. Quello che volevo dire che €' che clusterssh €' installato di default solo sul
server, e legge la lista di cluster/macchine da Ii', che viene aggiornata anche da octofussd.

fuss-client installa le chiavi del server, in modo da poter accedere dal server a client senza password.
L'accesso root sui client €' inibito per i problemi di sicurezza di cui sopra, quindi puoi comunque fare la copia tra i vari file collegandoti con un utente

Idap (che e' anche piu' corretto, cosi' nel log si sa chi si €' collegato con la sua utenza personale, invece che la anonima 'root'), e visto che stai
usando clustershh, dopo esserti collegato puoi sempre fare 'su' e procedere usando un utente root per copiare/spostare il file dove ti serve.

05/18/2024 22


http://www.tcpdf.org

